/*
 *
 * Automatically generated file; DO NOT EDIT.
 * Linux/arm64 3.18.91 Kernel Configuration
 *
 */
#define CONFIG_RING_BUFFER 1
#define CONFIG_NF_CONNTRACK_H323 1
#define CONFIG_HAVE_ARCH_SECCOMP_FILTER 1
#define CONFIG_SCSI_DMA 1
#define CONFIG_USE_MUIC 1
#define CONFIG_BROADCOM_WIFI_RESERVED_MEM 1
#define CONFIG_INPUT_KEYBOARD 1
#define CONFIG_EXYNOS_THERMAL_CORE 1
#define CONFIG_DIRECT_RECLAIM_FILE_PAGES_ONLY 1
#define CONFIG_EXYNOS_DECON_7870 1
#define CONFIG_MEMORY_ISOLATION 1
#define CONFIG_SLUB_CPU_PARTIAL 1
#define CONFIG_RFS_ACCEL 1
#define CONFIG_IP_NF_TARGET_REDIRECT 1
#define CONFIG_CRC32 1
#define CONFIG_I2C_BOARDINFO 1
#define CONFIG_NF_NAT_PROTO_SCTP 1
#define CONFIG_JOURNAL_DATA_TAG 1
#define CONFIG_SECCOMP 1
#define CONFIG_HIGH_RES_TIMERS 1
#define CONFIG_PRINTK_PROCESS 1
#define CONFIG_BLK_DEV_DM 1
#define CONFIG_IP_MULTIPLE_TABLES 1
#define CONFIG_UEVENT_HELPER 1
#define CONFIG_FIX_EARLYCON_MEM 1
#define CONFIG_INOTIFY_USER 1
#define CONFIG_NF_CONNTRACK_NETBIOS_NS 1
#define CONFIG_ECT_DUMP 1
#define CONFIG_USB_STORAGE_DETECT 1
#define CONFIG_NETWORK_FILESYSTEMS 1
#define CONFIG_MODULE_FORCE_UNLOAD 1
#define CONFIG_MALI_EXPERT 1
#define CONFIG_CRYPTO_FIPS 1
#define CONFIG_ZSWAP_SAME_PAGE_SHARING 1
#define CONFIG_ARM64_VA_BITS 39
#define CONFIG_MEDIA_EXYNOS 1
#define CONFIG_RTC_DRV_SEC 1
#define CONFIG_ARCH_SUSPEND_POSSIBLE 1
#define CONFIG_COMPAT_NETLINK_MESSAGES 1
#define CONFIG_EXYNOS_SNAPSHOT_THERMAL 1
#define CONFIG_HAVE_ARCH_MMAP_RND_BITS 1
#define CONFIG_HID_SPEEDLINK 1
#define CONFIG_TCP_CONG_HTCP 1
#define CONFIG_NETFILTER_XT_MATCH_HELPER 1
#define CONFIG_SSB_POSSIBLE 1
#define CONFIG_EXYNOS_SNAPSHOT_CALLSTACK 4
#define CONFIG_NETFILTER_XT_MATCH_STATISTIC 1
#define CONFIG_UHID 1
#define CONFIG_IP_NF_NAT 1
#define CONFIG_CRYPTO_SHA1_ARM64_CE 1
#define CONFIG_USB_OHCI_LITTLE_ENDIAN 1
#define CONFIG_NET_SCH_FIFO 1
#define CONFIG_TZ_BOOT_LOG_PG_CNT 1
#define CONFIG_FSNOTIFY 1
#define CONFIG_BLK_DEV_LOOP_MIN_COUNT 8
#define CONFIG_INET6_TUNNEL 1
#define CONFIG_HIDRAW 1
#define CONFIG_HID_PRODIKEYS 1
#define CONFIG_GENERIC_SMP_IDLE_THREAD 1
#define CONFIG_NET_VENDOR_QUALCOMM 1
#define CONFIG_PROC_DLOG 1
#define CONFIG_NETPM 1
#define CONFIG_HAVE_MEMORY_PRESENT 1
#define CONFIG_USB_SERIAL_FTDI_SIO 1
#define CONFIG_FIB_RULES 1
#define CONFIG_HID_ACRUX_FF 1
#define CONFIG_RT_GROUP_SCHED 1
#define CONFIG_HID_EMS_FF 1
#define CONFIG_IP6_NF_MANGLE 1
#define CONFIG_S3C2410_WATCHDOG 1
#define CONFIG_IPV6 1
#define CONFIG_CRYPTO_AEAD 1
#define CONFIG_COMPAT 1
#define CONFIG_BQL 1
#define CONFIG_INPUT_MOUSEDEV_PSAUX 1
#define CONFIG_DEFAULT_TCP_CONG "bic"
#define CONFIG_UEVENT_HELPER_PATH "/sbin/hotplug"
#define CONFIG_DEVTMPFS 1
#define CONFIG_OF_IOMMU 1
#define CONFIG_NET_IPVTI 1
#define CONFIG_EXYNOS_BUSMONITOR 1
#define CONFIG_EXYNOS7870_DISPLAY_VIDEO_MODE 1
#define CONFIG_NF_NAT_PROTO_GRE 1
#define CONFIG_ANDROID_BINDER_IPC 1
#define CONFIG_IP6_NF_TARGET_REJECT 1
#define CONFIG_ARCH_MMAP_RND_COMPAT_BITS_MAX 16
#define CONFIG_ARCH_SPARSEMEM_ENABLE 1
#define CONFIG_WLAN_QCA9377_DUAL_BDF 0
#define CONFIG_HOTPLUG_CPU 1
#define CONFIG_SND_SOC_GENERIC_DMAENGINE_PCM 1
#define CONFIG_INET_DIAG_DESTROY 1
#define CONFIG_MALI_SEC_UTILIZATION 1
#define CONFIG_WLAN 1
#define CONFIG_SYS_SUPPORTS_HUGETLBFS 1
#define CONFIG_NAMESPACES 1
#define CONFIG_EXYNOS_SNAPSHOT_IRQ_EXIT_THRESHOLD 0
#define CONFIG_NETFILTER_XT_MATCH_QUOTA2_LOG 1
#define CONFIG_SERIAL_SAMSUNG 1
#define CONFIG_INTEGRITY 1
#define CONFIG_XFRM_IPCOMP 1
#define CONFIG_CRYPTO_DRBG_MENU 1
#define CONFIG_CRYPTO_RNG2 1
#define CONFIG_NETFILTER_NETLINK_QUEUE 1
#define CONFIG_MSDOS_FS 1
#define CONFIG_USB_U_SERIAL 1
#define CONFIG_TUN 1
#define CONFIG_CFG80211 1
#define CONFIG_OF_RESERVED_MEM 1
#define CONFIG_TREE_PREEMPT_RCU 1
#define CONFIG_DM_CRYPT 1
#define CONFIG_REED_SOLOMON_ENC8 1
#define CONFIG_SEC_DEBUG_EXTRA_INFO 1
#define CONFIG_LZO_DECOMPRESS 1
#define CONFIG_IOMMU_SUPPORT 1
#define CONFIG_WIFI_BROADCOM_COB 1
#define CONFIG_HID_BELKIN 1
#define CONFIG_COMPAT_BINFMT_ELF 1
#define CONFIG_WIRELESS_EXT_SYSFS 1
#define CONFIG_SEC_REBOOT 1
#define CONFIG_HID_ACRUX 1
#define CONFIG_TZDEV_USE_ARM_CALLING_CONVENTION 1
#define CONFIG_USB 1
#define CONFIG_HAVE_ARCH_HARDENED_USERCOPY 1
#define CONFIG_MODULES_USE_ELF_RELA 1
#define CONFIG_CRYPTO_HMAC 1
#define CONFIG_USB_DUN_SUPPORT 1
#define CONFIG_ETHERNET 1
#define CONFIG_BRANCH_PROFILE_NONE 1
#define CONFIG_HAVE_DMA_CONTIGUOUS 1
#define CONFIG_MALI_PLATFORM_NAME "exynos"
#define CONFIG_DQL 1
#define CONFIG_SONY_FF 1
#define CONFIG_COREDUMP 1
#define CONFIG_IP_NF_ARPTABLES 1
#define CONFIG_HID_CHERRY 1
#define CONFIG_ARCH_EXYNOS7 1
#define CONFIG_HID_SUNPLUS 1
#define CONFIG_HID_PICOLCD 1
#define CONFIG_BCMA_POSSIBLE 1
#define CONFIG_NF_LOG_IPV4 1
#define CONFIG_FORCE_MAX_ZONEORDER 11
#define CONFIG_SND_SOC 1
#define CONFIG_SYNC 1
#define CONFIG_BCMDHD_PREALLOC_MEMDUMP 1
#define CONFIG_PRINTK 1
#define CONFIG_NF_CONNTRACK_PROC_COMPAT 1
#define CONFIG_TIMERFD 1
#define CONFIG_S2MU005_ACOK_NOTIFY 1
#define CONFIG_HID_THRUSTMASTER 1
#define CONFIG_EXYNOS_SNAPSHOT_HOOK_LOGGER 1
#define CONFIG_TRACEPOINTS 1
#define CONFIG_CRYPTO_AUTHENC 1
#define CONFIG_NET_EMATCH_STACK 32
#define CONFIG_VIDEO_V4L2_SUBDEV_API 1
#define CONFIG_BOUNCE 1
#define CONFIG_ION_EXYNOS 1
#define CONFIG_TOUCHSCREEN_SYNAPTICS_FB_OPEN_CLOSE 1
#define CONFIG_SHMEM 1
#define CONFIG_MIGRATION 1
#define CONFIG_HAVE_ARCH_JUMP_LABEL 1
#define CONFIG_MMC_BLOCK_MINORS 8
#define CONFIG_HID_PRIMAX 1
#define CONFIG_MMC_DW_EXYNOS_EMMC_SHUTDOWN_POWERCTRL 1
#define CONFIG_USB_ANDROID_SAMSUNG_COMPOSITE 1
#define CONFIG_DNOTIFY 1
#define CONFIG_CRYPTO_CTS 1
#define CONFIG_INPUT_MOUSEDEV 1
#define CONFIG_GENERIC_NET_UTILS 1
#define CONFIG_CRYPTO_DES 1
#define CONFIG_ENABLE_MUST_CHECK 1
#define CONFIG_FW_LOADER_USER_HELPER_FALLBACK 1
#define CONFIG_INCREASE_MAXIMUM_SWAPPINESS 1
#define CONFIG_TZDEV_BOOST 1
#define CONFIG_FM_LNA 1
#define CONFIG_NLS_CODEPAGE_437 1
#define CONFIG_CFG80211_INTERNAL_REGDB 1
#define CONFIG_NET_CLS_U32 1
#define CONFIG_ARM_GIC 1
#define CONFIG_OLD_SIGSUSPEND3 1
#define CONFIG_FAT_SUPPORT_STLOG 1
#define CONFIG_SERIO 1
#define CONFIG_ARCH_HAS_SG_CHAIN 1
#define CONFIG_RTC_INTF_SYSFS 1
#define CONFIG_NET_EMATCH_U32 1
#define CONFIG_BLK_DEV_INITRD 1
#define CONFIG_NF_CONNTRACK_SANE 1
#define CONFIG_FAT_VIRTUAL_XATTR 1
#define CONFIG_NF_HISTORY 1
#define CONFIG_HAVE_BPF_JIT 1
#define CONFIG_NF_CT_PROTO_DCCP 1
#define CONFIG_ZLIB_INFLATE 1
#define CONFIG_ENCRYPTED_KEYS 1
#define CONFIG_THERMAL_OF 1
#define CONFIG_HWMON 1
#define CONFIG_USB_G_ANDROID 1
#define CONFIG_CRYPTO_TWOFISH_COMMON 1
#define CONFIG_MALI_SYSTRACE_SUPPORT 1
#define CONFIG_AUDITSYSCALL 1
#define CONFIG_IP_PNP 1
#define CONFIG_EXYNOS_VIDEO 1
#define CONFIG_CAMERA_ACT_DW9808_OBJ 1
#define CONFIG_RTC_INTF_PROC 1
#define CONFIG_PM_CLK 1
#define CONFIG_CMA_SIZE_SEL_MBYTES 1
#define CONFIG_EXYNOS_DECON_LCD 1
#define CONFIG_CPU_IDLE_GOV_MENU 1
#define CONFIG_STACKTRACE_SUPPORT 1
#define CONFIG_EXYNOS7870_BTS 1
#define CONFIG_NET_VENDOR_MICROCHIP 1
#define CONFIG_HID_SAITEK 1
#define CONFIG_ZSWAP_COMPACTION 1
#define CONFIG_ZSMALLOC_STAT 1
#define CONFIG_NO_HZ_IDLE 1
#define CONFIG_F2FS_STAT_FS 1
#define CONFIG_NETFILTER_XT_MATCH_STRING 1
#define CONFIG_INPUT_TABLET 1
#define CONFIG_SEC_DEBUG_AUTO_SUMMARY 1
#define CONFIG_EXYNOS_CHIPID 1
#define CONFIG_CRYPTO_DRBG_HMAC 1
#define CONFIG_CAMERA_FLASH_SELECT 1
#define CONFIG_PM_AUTOSLEEP 1
#define CONFIG_USB_STORAGE 1
#define CONFIG_NET_VENDOR_BROADCOM 1
#define CONFIG_GENERIC_CPU_AUTOPROBE 1
#define CONFIG_STANDALONE 1
#define CONFIG_SCHED_MC 1
#define CONFIG_CPU_FREQ_GOV_PERFORMANCE 1
#define CONFIG_SEC_DEBUG_TSP_LOG 1
#define CONFIG_I2C_MUX 1
#define CONFIG_WATCHDOG_CORE 1
#define CONFIG_GENERIC_EARLY_IOREMAP 1
#define CONFIG_SND_USB_AUDIO 1
#define CONFIG_INPUT_KEYCOMBO 1
#define CONFIG_ASHMEM 1
#define CONFIG_BLOCK 1
#define CONFIG_HID_APPLE 1
#define CONFIG_INIT_ENV_ARG_LIMIT 32
#define CONFIG_IP_NF_ARP_MANGLE 1
#define CONFIG_CAMERA_FLASH_GPIO_OBJ 1
#define CONFIG_HARDLOCKUP_DETECTOR_OTHER_CPU 1
#define CONFIG_ION_EXYNOS_OF 1
#define CONFIG_SEC_EVENT_LOG 1
#define CONFIG_NF_CONNTRACK_PPTP 1
#define CONFIG_TMPFS_POSIX_ACL 1
#define CONFIG_BUG 1
#define CONFIG_CONTEXT_SWITCH_TRACER 1
#define CONFIG_LOGIWHEELS_FF 1
#define CONFIG_SDFAT_VIRTUAL_XATTR_SELINUX_LABEL "u:object_r:sdcard_external:s0"
#define CONFIG_CLKSRC_OF 1
#define CONFIG_HID_SYNAPTICS_BT 1
#define CONFIG_PANTHERLORD_FF 1
#define CONFIG_BLOCK_SUPPORT_STLOG 1
#define CONFIG_PM 1
#define CONFIG_MEMCG 1
#define CONFIG_SPI 1
#define CONFIG_NF_CONNTRACK_IRC 1
#define CONFIG_SWITCH 1
#define CONFIG_SAMSUNG_PRODUCT_SHIP 1
#define CONFIG_OF_IRQ 1
#define CONFIG_BOOTPARAM_HUNG_TASK_PANIC_VALUE 0
#define CONFIG_LIBFDT 1
#define CONFIG_PPP_DEFLATE 1
#define CONFIG_TEXTSEARCH_KMP 1
#define CONFIG_USB_NET_NET1080 1
#define CONFIG_DTC 1
#define CONFIG_NETFILTER_XT_TARGET_CLASSIFY 1
#define CONFIG_HID_TIVO 1
#define CONFIG_SDFAT_DBG_MSG 1
#define CONFIG_F2FS_FS_SECURITY 1
#define CONFIG_REGMAP_SPI 1
#define CONFIG_SPLIT_PTLOCK_CPUS 4
#define CONFIG_POWER_SUPPLY 1
#define CONFIG_SND_DMAENGINE_PCM 1
#define CONFIG_NETFILTER_XT_TARGET_NFQUEUE 1
#define CONFIG_SECURITY_SELINUX_BOOTPARAM 1
#define CONFIG_HAVE_RCU_TABLE_FREE 1
#define CONFIG_WEXT_CORE 1
#define CONFIG_NLS 1
#define CONFIG_EXYRNG_FAIL_POLICY_RESET 1
#define CONFIG_MEDIA_CAMERA_SUPPORT 1
#define CONFIG_ARM64_PAN 1
#define CONFIG_NETFILTER_XT_TARGET_SECMARK 1
#define CONFIG_HID_MAGICMOUSE 1
#define CONFIG_I2C_GPIO 1
#define CONFIG_LEDS_S2MU005_FLASH 1
#define CONFIG_ZONE_DMA 1
#define CONFIG_NF_NAT_IPV6 1
#define CONFIG_CPU_THERMAL 1
#define CONFIG_REED_SOLOMON_DEC8 1
#define CONFIG_IRQ_WORK 1
#define CONFIG_IP_ADVANCED_ROUTER 1
#define CONFIG_ENABLE_WARN_DEPRECATED 1
#define CONFIG_USB_HMT_SAMSUNG_INPUT 1
#define CONFIG_SPARSEMEM_EXTREME 1
#define CONFIG_USB_COMMON 1
#define CONFIG_TASK_XACCT 1
#define CONFIG_IP6_NF_IPTABLES 1
#define CONFIG_LZ4_COMPRESS 1
#define CONFIG_NL80211_TESTMODE 1
#define CONFIG_CPU_FREQ_GOV_USERSPACE 1
#define CONFIG_LOG_CPU_MAX_BUF_SHIFT 12
#define CONFIG_BLK_DEV_DM_BUILTIN 1
#define CONFIG_ANDROID_LOW_MEMORY_KILLER_AUTODETECT_OOM_ADJ_VALUES 1
#define CONFIG_INET_IPCOMP 1
#define CONFIG_OF_NET 1
#define CONFIG_ARM_ARCH_TIMER 1
#define CONFIG_EVENT_TRACING 1
#define CONFIG_HID_KEYTOUCH 1
#define CONFIG_HID_CYPRESS 1
#define CONFIG_ARCH_WANT_OPTIONAL_GPIOLIB 1
#define CONFIG_NLS_ISO8859_1 1
#define CONFIG_CRYPTO_WORKQUEUE 1
#define CONFIG_HID_KENSINGTON 1
#define CONFIG_BCMDHD_FW_PATH "/etc/wifi/bcmdhd_sta.bin"
#define CONFIG_TEXTSEARCH_BM 1
#define CONFIG_NF_CONNTRACK_PROCFS 1
#define CONFIG_HID_ZYDACRON 1
#define CONFIG_PPP_MPPE 1
#define CONFIG_INPUT_KEYRESET 1
#define CONFIG_RFKILL 1
#define CONFIG_NETDEVICES 1
#define CONFIG_NET_KEY 1
#define CONFIG_HAVE_CONTEXT_TRACKING 1
#define CONFIG_CGROUP_FREEZER 1
#define CONFIG_EVENTFD 1
#define CONFIG_FS_POSIX_ACL 1
#define CONFIG_IPV6_SIT 1
#define CONFIG_SND_SOC_SAMSUNG 1
#define CONFIG_XFRM 1
#define CONFIG_DEFCONFIG_LIST "/lib/modules/$UNAME_RELEASE/.config"
#define CONFIG_HAVE_S3C_RTC 1
#define CONFIG_IPV6_MULTIPLE_TABLES 1
#define CONFIG_USB_ANNOUNCE_NEW_DEVICES 1
#define CONFIG_PROC_STLOG 1
#define CONFIG_IP_NF_TARGET_MASQUERADE 1
#define CONFIG_NF_CONNTRACK_BROADCAST 1
#define CONFIG_ECRYPT_FS 1
#define CONFIG_CRYPTO_LZ4 1
#define CONFIG_PROC_PAGE_MONITOR 1
#define CONFIG_CC_OPTIMIZE_FOR_SIZE 1
#define CONFIG_ARM64_CRYPTO 1
#define CONFIG_MUIC_S2MU005 1
#define CONFIG_RCU_FANOUT_LEAF 16
#define CONFIG_BPF 1
#define CONFIG_PHY_EXYNOS_MIPI_VIDEO 1
#define CONFIG_NF_NAT_PROTO_DCCP 1
#define CONFIG_CONDITIONAL_SAFETY_TIMER 1
#define CONFIG_VIDEOBUF2_ION 1
#define CONFIG_ANDROID_LOW_MEMORY_KILLER 1
#define CONFIG_I2C_EXYNOS5 1
#define CONFIG_GREENASIA_FF 1
#define CONFIG_NF_CONNTRACK_SECMARK 1
#define CONFIG_SDFAT_DEBUG 1
#define CONFIG_CRYPTO_SHA512 1
#define CONFIG_PHONET 1
#define CONFIG_BACKLIGHT_CLASS_DEVICE 1
#define CONFIG_CRYPTO_NULL 1
#define CONFIG_NET_VENDOR_SEEQ 1
#define CONFIG_NF_DEFRAG_IPV4 1
#define CONFIG_SELECT_MEMORY_MODEL 1
#define CONFIG_INET_XFRM_MODE_BEET 1
#define CONFIG_HID_LCPOWER 1
#define CONFIG_HAVE_ARCH_PFN_VALID 1
#define CONFIG_FS_ENCRYPTION 1
#define CONFIG_IPV6_ROUTE_INFO 1
#define CONFIG_NETFILTER_ADVANCED 1
#define CONFIG_CRYPTO_DEFLATE 1
#define CONFIG_GENERIC_STRNLEN_USER 1
#define CONFIG_PGTABLE_MAPPING 1
#define CONFIG_MALI_SEC_JOB_STATUS_CHECK 1
#define CONFIG_IPV6_ROUTER_PREF 1
#define CONFIG_CRYPTO_GCM 1
#define CONFIG_NETFILTER_NETLINK_LOG 1
#define CONFIG_HAVE_DYNAMIC_FTRACE 1
#define CONFIG_MAGIC_SYSRQ 1
#define CONFIG_THERMAL_EMULATION 1
#define CONFIG_MALI_EXYNOS_TRACE 1
#define CONFIG_ARM64_ERRATUM_845719 1
#define CONFIG_PGTABLE_LEVELS 3
#define CONFIG_NETFILTER_XT_MATCH_MARK 1
#define CONFIG_SPARSE_IRQ 1
#define CONFIG_MALI_R22P0 1
#define CONFIG_IP_NF_MANGLE 1
#define CONFIG_DT_IDLE_STATES 1
#define CONFIG_MALI_DEBUG_SYS 1
#define CONFIG_SECURITY_PERF_EVENTS_RESTRICT 1
#define CONFIG_SECURITYFS 1
#define CONFIG_DEFAULT_CFQ 1
#define CONFIG_RCU_STALL_COMMON 1
#define CONFIG_VPNCLIENT_PROC_UID 1000
#define CONFIG_INET6_XFRM_MODE_TUNNEL 1
#define CONFIG_CAMERA_OTPROM_SUPPORT_FRONT 1
#define CONFIG_MEDIA_SUPPORT 1
#define CONFIG_DEBUG_BUGVERBOSE 1
#define CONFIG_BCM43436 1
#define CONFIG_IP_NF_FILTER 1
#define CONFIG_HID_ZEROPLUS 1
#define CONFIG_BATTERY_SAMSUNG 1
#define CONFIG_NETFILTER_XT_MATCH_LENGTH 1
#define CONFIG_FAT_FS 1
#define CONFIG_TEXTSEARCH_FSM 1
#define CONFIG_ARM64_ERRATUM_832075 1
#define CONFIG_IP6_NF_RAW 1
#define CONFIG_ARM_EXYNOS_DEVFREQ 1
#define CONFIG_USE_CSI_DMAOUT_FEATURE 1
#define CONFIG_INET_TUNNEL 1
#define CONFIG_PINCONF 1
#define CONFIG_MMC_BLOCK_BOUNCE 1
#define CONFIG_GENERIC_CLOCKEVENTS 1
#define CONFIG_IOSCHED_CFQ 1
#define CONFIG_RWSEM_XCHGADD_ALGORITHM 1
#define CONFIG_MFD_CORE 1
#define CONFIG_ARCH_SUPPORTS_ATOMIC_RMW 1
#define CONFIG_STOP_MACHINE 1
#define CONFIG_CRYPTO_AES_ARM64_CE 1
#define CONFIG_SERIAL_EARLYCON 1
#define CONFIG_CPU_FREQ 1
#define CONFIG_NF_REJECT_IPV4 1
#define CONFIG_ARCH_MMAP_RND_BITS_MAX 24
#define CONFIG_SEC_PM_DEBUG 1
#define CONFIG_HAVE_ARCH_TRANSPARENT_HUGEPAGE 1
#define CONFIG_TZDEV_IWI_EVENT 446
#define CONFIG_TRACE_IRQFLAGS_SUPPORT 1
#define CONFIG_MFD_SYSCON 1
#define CONFIG_DETECT_HUNG_TASK 1
#define CONFIG_TZ_SHMEM_VALIDATOR 1
#define CONFIG_TCP_CONG_ADVANCED 1
#define CONFIG_USB_NET_CDC_SUBSET 1
#define CONFIG_QFMT_V2 1
#define CONFIG_ARM64_ERRATUM_824069 1
#define CONFIG_EXYNOS_BTS 1
#define CONFIG_MALI_DEBUG_KERNEL_SYSFS 1
#define CONFIG_NETFILTER_XT_MATCH_CONNMARK 1
#define CONFIG_CRYPTO_RNG 1
#define CONFIG_MEMCG_SWAP_ENABLED 1
#define CONFIG_ARCH_MMAP_RND_COMPAT_BITS_MIN 11
#define CONFIG_MCU_IPC 1
#define CONFIG_SND_USB 1
#define CONFIG_LOGIG940_FF 1
#define CONFIG_VIDEOBUF2_MEMOPS 1
#define CONFIG_RD_GZIP 1
#define CONFIG_PWM_SYSFS 1
#define CONFIG_ALLOW_DEV_COREDUMP 1
#define CONFIG_SWIOTLB 1
#define CONFIG_CSIS_V4_1 1
#define CONFIG_EXT4_FS_SECURITY 1
#define CONFIG_HAVE_VIRT_CPU_ACCOUNTING_GEN 1
#define CONFIG_HID_ROCCAT 1
#define CONFIG_PWM_SAMSUNG 1
#define CONFIG_INET_XFRM_MODE_TRANSPORT 1
#define CONFIG_CRYPTO_MD5 1
#define CONFIG_UART_SEL 1
#define CONFIG_SECURITY_SELINUX_BOOTPARAM_VALUE 1
#define CONFIG_MEDIA_M2M1SHOT 1
#define CONFIG_BINFMT_ELF 1
#define CONFIG_AUDIT_GENERIC 1
#define CONFIG_SCSI_PROC_FS 1
#define CONFIG_HAVE_PERF_REGS 1
#define CONFIG_TZDEV_IWI_PANIC 447
#define CONFIG_INET6_AH 1
#define CONFIG_CC_STACKPROTECTOR_NONE 1
#define CONFIG_USB_SERIAL 1
#define CONFIG_REGULATOR_FIXED_VOLTAGE 1
#define CONFIG_EXYNOS_REBOOT 1
#define CONFIG_KEYS 1
#define CONFIG_INET_XFRM_TUNNEL 1
#define CONFIG_NETFILTER_XT_MARK 1
#define CONFIG_NETFILTER_XTABLES 1
#define CONFIG_RESOURCE_COUNTERS 1
#define CONFIG_ARMV8_DEPRECATED 1
#define CONFIG_HAVE_ARCH_AUDITSYSCALL 1
#define CONFIG_SLABINFO 1
#define CONFIG_KEYS_DEBUG_PROC_KEYS 1
#define CONFIG_MC_SCALER_V1_20 1
#define CONFIG_USB_NOTIFY_LAYER 1
#define CONFIG_PM_SLEEP_SMP 1
#define CONFIG_CRYPTO_HW 1
#define CONFIG_ION 1
#define CONFIG_USE_DIRECT_IS_CONTROL 1
#define CONFIG_HID_GREENASIA 1
#define CONFIG_MAGIC_SYSRQ_DEFAULT_ENABLE 0x1
#define CONFIG_HARDIRQS_SW_RESEND 1
#define CONFIG_PWRCAL 1
#define CONFIG_SPI_MASTER 1
#define CONFIG_SEC_NAD_MANUAL_PARAM_READTIME 10
#define CONFIG_TZ_BOOT_LOG 1
#define CONFIG_NET_ACT_GACT 1
#define CONFIG_HID_GYRATION 1
#define CONFIG_USB_WDM 1
#define CONFIG_THERMAL_HWMON 1
#define CONFIG_SDP 1
#define CONFIG_NETFILTER_XT_TARGET_TPROXY 1
#define CONFIG_EXYNOS_CONTENT_PATH_PROTECTION 1
#define CONFIG_USB_ACM 1
#define CONFIG_USB_RTL8150 1
#define CONFIG_USB_HOST_NOTIFY 1
#define CONFIG_CRC16 1
#define CONFIG_USB_NET_AX8817X 1
#define CONFIG_GENERIC_CALIBRATE_DELAY 1
#define CONFIG_SDFAT_SUPPORT_STLOG 1
#define CONFIG_CRYPTO_GF128MUL 1
#define CONFIG_NET_CLS 1
#define CONFIG_TMPFS 1
#define CONFIG_ANON_INODES 1
#define CONFIG_FUTEX 1
#define CONFIG_SEC_INCELL 1
#define CONFIG_IP_PNP_DHCP 1
#define CONFIG_REGMAP_I2C 1
#define CONFIG_GENERIC_SCHED_CLOCK 1
#define CONFIG_INPUT_MATRIXKMAP 1
#define CONFIG_TZLOG_PG_CNT 8
#define CONFIG_JOYSTICK_XPAD_FF 1
#define CONFIG_HW_RANDOM_EXYNOS_SWD 1
#define CONFIG_RTC_HCTOSYS 1
#define CONFIG_SECURITY_NETWORK 1
#define CONFIG_SERIAL_CORE_CONSOLE 1
#define CONFIG_REGMAP_IRQ 1
#define CONFIG_USB_HID 1
#define CONFIG_VIDEO_EXYNOS_SMFC 1
#define CONFIG_ANDROID 1
#define CONFIG_SLUB_DEBUG 1
#define CONFIG_PHY_EXYNOS_DP_VIDEO 1
#define CONFIG_NET_SCH_INGRESS 1
#define CONFIG_DMADEVICES 1
#define CONFIG_NF_CONNTRACK_EVENTS 1
#define CONFIG_EXYNOS_IOMMU_EVENT_LOG 1
#define CONFIG_EXYNOS_MFC_V10 1
#define CONFIG_PINCTRL 1
#define CONFIG_IPV6_NDISC_NODETYPE 1
#define CONFIG_CAMERA_CIS_5E9_OBJ 1
#define CONFIG_NETFILTER_XT_MATCH_CONNLABEL 1
#define CONFIG_SEC_ABC 1
#define CONFIG_CGROUP_SCHED 1
#define CONFIG_CRYPTO_PCOMP2 1
#define CONFIG_TZ_WORMHOLE 1
#define CONFIG_EXYNOS_MIPI_DSI 1
#define CONFIG_HAVE_DEBUG_KMEMLEAK 1
#define CONFIG_KEYBOARD_GPIO 1
#define CONFIG_NF_CONNTRACK_FTP 1
#define CONFIG_MALI_DVFS 1
#define CONFIG_MODULES 1
#define CONFIG_EXYNOS_HOTPLUG_GOVERNOR 1
#define CONFIG_IP_NF_MATCH_ECN 1
#define CONFIG_USB_GADGET 1
#define CONFIG_HARDLOCKUP_DETECTOR 1
#define CONFIG_USB_HIDDEV 1
#define CONFIG_SOUND 1
#define CONFIG_CPU_IDLE_MULTIPLE_DRIVERS 1
#define CONFIG_AUDIT_WATCH 1
#define CONFIG_HAVE_PATA_PLATFORM 1
#define CONFIG_UNIX 1
#define CONFIG_USB_NET_DRIVERS 1
#define CONFIG_NO_HZ_COMMON 1
#define CONFIG_HAVE_CLK 1
#define CONFIG_CRYPTO_HASH2 1
#define CONFIG_THERMAL_GOV_STEP_WISE 1
#define CONFIG_DEFAULT_HOSTNAME "(none)"
#define CONFIG_USB_NOTIFY_PROC_LOG 1
#define CONFIG_USB_GADGET_STORAGE_NUM_BUFFERS 2
#define CONFIG_SEC_PARAM 1
#define CONFIG_EXYNOS_SNAPSHOT_SAVE_SLUGGISHINFO 1
#define CONFIG_USB_NET_SMSC95XX 1
#define CONFIG_XPS 1
#define CONFIG_INET_ESP 1
#define CONFIG_SECURITY_SELINUX_DEVELOP 1
#define CONFIG_LZ4_DECOMPRESS 1
#define CONFIG_NF_CONNTRACK_IPV6 1
#define CONFIG_ADVISE_SYSCALLS 1
#define CONFIG_MD 1
#define CONFIG_CRYPTO_ALGAPI 1
#define CONFIG_CP15_BARRIER_EMULATION 1
#define CONFIG_NET_VENDOR_WIZNET 1
#define CONFIG_TABLET_USB_GTCO 1
#define CONFIG_MALI_RT_PM 1
#define CONFIG_USB_HOST_SAMSUNG_FEATURE 1
#define CONFIG_INPUT_UINPUT 1
#define CONFIG_PM_OPP 1
#define CONFIG_CRYPTO_SHA2_ARM64_CE 1
#define CONFIG_KEYBOARD_ATKBD 1
#define CONFIG_NET_IP_TUNNEL 1
#define CONFIG_NF_NAT 1
#define CONFIG_CPU_IDLE 1
#define CONFIG_IP6_NF_MATCH_RPFILTER 1
#define CONFIG_REGULATOR 1
#define CONFIG_FAIR_GROUP_SCHED 1
#define CONFIG_ARCH_HAS_ATOMIC64_DEC_IF_POSITIVE 1
#define CONFIG_CRYPTO_HASH 1
#define CONFIG_EFI_PARTITION 1
#define CONFIG_TRACE_CLOCK 1
#define CONFIG_LOG_BUF_SHIFT 20
#define CONFIG_EXTRA_FIRMWARE ""
#define CONFIG_NET_VENDOR_8390 1
#define CONFIG_CPU_FREQ_GOV_INTERACTIVE 1
#define CONFIG_SEC_BOOTSTAT 1
#define CONFIG_CRYPTO_POST_LATE_INIT_SYNC 1
#define CONFIG_VFAT_FS 1
#define CONFIG_SECURITY_SELINUX_CHECKREQPROT_VALUE 1
#define CONFIG_PID_NS 1
#define CONFIG_PREVENT_SOC_JUMP 1
#define CONFIG_EXYNOS_DECON_LCD_SYSFS 1
#define CONFIG_EXYNOS_MCINFO 1
#define CONFIG_EXYNOS_SNAPSHOT_FREQ 1
#define CONFIG_CRC32_SLICEBY8 1
#define CONFIG_USB_LIBCOMPOSITE 1
#define CONFIG_DEFEX_KERNEL_ONLY 1
#define CONFIG_CAMERA_A2CORELTE 1
#define CONFIG_CPU_RMAP 1
#define CONFIG_SND_HWDEP 1
#define CONFIG_BLK_DEV_LOOP 1
#define CONFIG_EXYNOS_SNAPSHOT_REGULATOR 1
#define CONFIG_DEFAULT_HUNG_TASK_TIMEOUT 120
#define CONFIG_ARM64_ERRATUM_843419 1
#define CONFIG_WAKELOCK 1
#define CONFIG_NF_NAT_IRC 1
#define CONFIG_INPUT_MISC 1
#define CONFIG_SND_COMPRESS_OFFLOAD 1
#define CONFIG_DMA_OF 1
#define CONFIG_SUSPEND 1
#define CONFIG_CROSS_MEMORY_ATTACH 1
#define CONFIG_CRYPTO_CBC 1
#define CONFIG_MEDIA_CONTROLLER 1
#define CONFIG_FAULT_AROUND_4KB 1
#define CONFIG_SDFAT_VIRTUAL_XATTR 1
#define CONFIG_USB_OTG_WAKELOCK 1
#define CONFIG_FS_MBCACHE 1
#define CONFIG_RTC_CLASS 1
#define CONFIG_F2FS_FS_ENCRYPTION 1
#define CONFIG_TMPFS_XATTR 1
#define CONFIG_MMC_DW_IDMAC 1
#define CONFIG_BCMDHD_NVRAM_PATH "/etc/wifi/nvram_net.txt"
#define CONFIG_ARM_AMBA 1
#define CONFIG_SENSORS_LIS2DS_I2C 1
#define CONFIG_CPU_PM 1
#define CONFIG_MMC_UNIQUE_NUMBER 1
#define CONFIG_IOMMU_HELPER 1
#define CONFIG_FMP_MMC 1
#define CONFIG_EXYRNG_FIPS_COMPLIANCE 1
#define CONFIG_MFD_S2MU005 1
#define CONFIG_HAVE_FUNCTION_TRACER 1
#define CONFIG_GENERIC_PHY 1
#define CONFIG_NF_NAT_TFTP 1
#define CONFIG_ARCH_SELECT_MEMORY_MODEL 1
#define CONFIG_NETFILTER_XT_TARGET_REDIRECT 1
#define CONFIG_CRYPTO_MANAGER2 1
#define CONFIG_USB_GADGET_VBUS_DRAW 2
#define CONFIG_PM_GENERIC_DOMAINS_OF 1
#define CONFIG_DRAGONRISE_FF 1
#define CONFIG_GENERIC_PCI_IOMAP 1
#define CONFIG_EXYNOS_FIMC_IS 1
#define CONFIG_NETFILTER_XT_TARGET_LOG 1
#define CONFIG_SLUB 1
#define CONFIG_CONFIGFS_FS 1
#define CONFIG_CRYPTO_TEST 1
#define CONFIG_PM_SLEEP 1
#define CONFIG_F2FS_FS_XATTR 1
#define CONFIG_I2C 1
#define CONFIG_BINFMT_SCRIPT 1
#define CONFIG_SDFAT_DELAYED_META_DIRTY 1
#define CONFIG_FRAME_POINTER 1
#define CONFIG_BT_HIDP 1
#define CONFIG_TICK_CPU_ACCOUNTING 1
#define CONFIG_VM_EVENT_COUNTERS 1
#define CONFIG_MMC_SUPPORT_STLOG 1
#define CONFIG_CRYPTO_ECB 1
#define CONFIG_SND_DYNAMIC_MINORS 1
#define CONFIG_NF_CONNTRACK_AMANDA 1
#define CONFIG_DEBUG_FS 1
#define CONFIG_NET_VENDOR_AMD 1
#define CONFIG_BASE_FULL 1
#define CONFIG_FB_CFB_IMAGEBLIT 1
#define CONFIG_ZLIB_DEFLATE 1
#define CONFIG_DEFAULT_BIC 1
#define CONFIG_SND_SOC_SEC_HS_SYSFS 1
#define CONFIG_SWP_EMULATION 1
#define CONFIG_FW_LOADER 1
#define CONFIG_EXYNOS_IOMMU 1
#define CONFIG_IP6_NF_NAT 1
#define CONFIG_KALLSYMS 1
#define CONFIG_SENSORS_LIS2DS 1
#define CONFIG_COMMON_CLK 1
#define CONFIG_SW_SYNC_USER 1
#define CONFIG_RTC_HCTOSYS_DEVICE "rtc0"
#define CONFIG_CRYPTO_XTS 1
#define CONFIG_PWM 1
#define CONFIG_SDCARD_FS 1
#define CONFIG_NETFILTER_XT_MATCH_PKTTYPE 1
#define CONFIG_MII 1
#define CONFIG_SIGNALFD 1
#define CONFIG_NET_CORE 1
#define CONFIG_UID_SYS_STATS 1
#define CONFIG_EXT4_FS 1
#define CONFIG_UNINLINE_SPIN_UNLOCK 1
#define CONFIG_MFD_SEC_CORE 1
#define CONFIG_MUIC_S2MU005_JIGB_CONTROL 1
#define CONFIG_PHY_SAMSUNG_USB_CAL 1
#define CONFIG_CRYPTO_SHA1 1
#define CONFIG_ARCH_WANT_GENERAL_HUGETLB 1
#define CONFIG_COMMON_CLK_XGENE 1
#define CONFIG_USB_BELKIN 1
#define CONFIG_WATCHDOG 1
#define CONFIG_HAS_IOMEM 1
#define CONFIG_SND_RAWMIDI 1
#define CONFIG_PINCTRL_EXYNOS 1
#define CONFIG_NF_LOG_IPV6 1
#define CONFIG_PPPOPNS 1
#define CONFIG_VIDEO_EXYNOS_MFC 1
#define CONFIG_GPIO_DEVRES 1
#define CONFIG_FIMC_IS_V3_11_0 1
#define CONFIG_SMS_SPI_DRV 1
#define CONFIG_GENERIC_IRQ_PROBE 1
#define CONFIG_TIGHT_PGDAT_BALANCE 1
#define CONFIG_USB_NET_CDC_EEM 1
#define CONFIG_IP_NF_MATCH_TTL 1
#define CONFIG_ARM64_CPU_SUSPEND 1
#define CONFIG_SEC_SYSFS 1
#define CONFIG_NETFILTER_XT_TARGET_TRACE 1
#define CONFIG_NET_SCH_PRIO 1
#define CONFIG_ANDROID_BINDER_DEVICES "binder,hwbinder,vndbinder"
#define CONFIG_SND_SOC_DUMMY_CODEC 1
#define CONFIG_EPOLL 1
#define CONFIG_CRYPTO_LZO 1
#define CONFIG_SND_PCM 1
#define CONFIG_MMAP_READAROUND_LIMIT 8
#define CONFIG_PM_RUNTIME 1
#define CONFIG_PARTITION_ADVANCED 1
#define CONFIG_CRYPTO_CRC32 1
#define CONFIG_HAVE_NET_DSA 1
#define CONFIG_NETFILTER_XT_MATCH_COMMENT 1
#define CONFIG_NET 1
#define CONFIG_INPUT_EVDEV 1
#define CONFIG_SND_JACK 1
#define CONFIG_SHM_IPC 1
#define CONFIG_NETFILTER_XT_TARGET_TCPMSS 1
#define CONFIG_EXT2_FS 1
#define CONFIG_EXYNOS_DEVICE_MIPI_CSIS_VER2 1
#define CONFIG_HID_DRAGONRISE 1
#define CONFIG_NETFILTER_XT_MATCH_CONNTRACK 1
#define CONFIG_BLOCK_COMPAT 1
#define CONFIG_ARM_ARCH_TIMER_EVTSTREAM 1
#define CONFIG_SND_SOC_I2S_RXSLOT_NUMBER 2
#define CONFIG_FW_LOADER_USER_HELPER 1
#define CONFIG_PINMUX 1
#define CONFIG_BOOTPARAM_HARDLOCKUP_PANIC 1
#define CONFIG_QUOTA_TREE 1
#define CONFIG_FIX_I2C_BUS_NUM 1
#define CONFIG_HAVE_GENERIC_RCU_GUP 1
#define CONFIG_USB_NET_CDCETHER 1
#define CONFIG_PACKET 1
#define CONFIG_ARCH_BINFMT_ELF_RANDOMIZE_PIE 1
#define CONFIG_XFRM_ALGO 1
#define CONFIG_SEC_SIPC_MODEM_IF 1
#define CONFIG_PL330_DMA 1
#define CONFIG_HAVE_CLK_PREPARE 1
#define CONFIG_NETFILTER_XT_MATCH_IPRANGE 1
#define CONFIG_NET_CLS_BASIC 1
#define CONFIG_SDFAT_DEFAULT_CODEPAGE 437
#define CONFIG_MALI_SEC_CL_BOOST 1
#define CONFIG_SDFAT_ALIGNED_MPAGE_WRITE 1
#define CONFIG_SEC_MODEM_SS310AP 1
#define CONFIG_FRONTSWAP 1
#define CONFIG_USB_XHCI_PLATFORM 1
#define CONFIG_NF_CONNTRACK_TFTP 1
#define CONFIG_NOP_TRACER 1
#define CONFIG_BACKLIGHT_LCD_SUPPORT 1
#define CONFIG_EXYNOS_SNAPSHOT_PSTORE 1
#define CONFIG_VENDER_FEATURE 1
#define CONFIG_INET 1
#define CONFIG_IP_PNP_BOOTP 1
#define CONFIG_PREVENT_FIRMWARE_BUILD 1
#define CONFIG_SPI_S3C64XX 1
#define CONFIG_CRYPTO_TWOFISH 1
#define CONFIG_TZIRS 1
#define CONFIG_FREEZER 1
#define CONFIG_BT 1
#define CONFIG_ARM64_4K_PAGES 1
#define CONFIG_RFKILL_PM 1
#define CONFIG_NET_CLS_ACT 1
#define CONFIG_REED_SOLOMON 1
#define CONFIG_SEC_VIB 1
#define CONFIG_USB_NET_SMSC75XX 1
#define CONFIG_HID_WACOM 1
#define CONFIG_ION_FD2PHYS 1
#define CONFIG_USB_F_ACM 1
#define CONFIG_RTC_LIB 1
#define CONFIG_SENSORS 1
#define CONFIG_NETFILTER_XT_MATCH_POLICY 1
#define CONFIG_ARM64_ERRATUM_826319 1
#define CONFIG_MAX_DIRTY_THRESH_PAGES 0
#define CONFIG_USB_EXTERNAL_NOTIFY 1
#define CONFIG_CRYPTO_AES 1
#define CONFIG_GPIOLIB 1
#define CONFIG_MMC_DW 1
#define CONFIG_KEYS_COMPAT 1
#define CONFIG_EXT4_USE_FOR_EXT23 1
#define CONFIG_NETFILTER_XT_NAT 1
#define CONFIG_BALANCE_ANON_FILE_RECLAIM 1
#define CONFIG_EXYNOS_SNAPSHOT_CLK 1
#define CONFIG_HID_WALTOP 1
#define CONFIG_HAVE_HARDENED_USERCOPY_ALLOCATOR 1
#define CONFIG_ARGOS 1
#define CONFIG_NF_CONNTRACK_MARK 1
#define CONFIG_NETFILTER 1
#define CONFIG_NETFILTER_XT_MATCH_HASHLIMIT 1
#define CONFIG_DDK_VERSION_OS "o"
#define CONFIG_PHY_EXYNOS_USBDRD 1
#define CONFIG_SEC_DEBUG_HW_PARAM 1
#define CONFIG_NET_VENDOR_SMSC 1
#define CONFIG_CLONE_BACKWARDS 1
#define CONFIG_MALI_PM_QOS 1
#define CONFIG_BLK_DEV_RAM_COUNT 16
#define CONFIG_INET_XFRM_MODE_TUNNEL 1
#define CONFIG_PREEMPT_RCU 1
#define CONFIG_NF_NAT_NEEDED 1
#define CONFIG_EXYNOS_SNAPSHOT_PANIC_REBOOT 1
#define CONFIG_SEC_UPLOAD 1
#define CONFIG_SND_DRIVERS 1
#define CONFIG_NET_FLOW_LIMIT 1
#define CONFIG_TOUCHSCREEN_SYNAPTICS_I2C_TD4X01_A2CORELTE 1
#define CONFIG_LOCKDEP_SUPPORT 1
#define CONFIG_TZ_TRANSPORT_PG_CNT 2
#define CONFIG_IP6_NF_TARGET_MASQUERADE 1
#define CONFIG_SERIAL_SAMSUNG_UARTS 10
#define CONFIG_EXYNOS_SNAPSHOT_CRASH_KEY 1
#define CONFIG_NO_HZ 1
#define CONFIG_ARCH_WANT_COMPAT_IPC_PARSE_VERSION 1
#define CONFIG_ARCH_WANT_HUGE_PMD_SHARE 1
#define CONFIG_VIDEO_EXYNOS_FIMC_IS2 1
#define CONFIG_USB_NET_CDC_MBIM 1
#define CONFIG_FUELGAUGE_S2MU005 1
#define CONFIG_PSTORE_RAM 1
#define CONFIG_CPU_FREQ_STAT 1
#define CONFIG_BCMDHD_OOB_HOST_WAKE 1
#define CONFIG_SENSORS_STK3013 1
#define CONFIG_GENERIC_STRNCPY_FROM_USER 1
#define CONFIG_NETFILTER_XT_TARGET_NETMAP 1
#define CONFIG_VBUS_NOTIFIER 1
#define CONFIG_EXYNOS_MEDIA_DEVICE 1
#define CONFIG_CAMERA_CIS_GC5035_OBJ 1
#define CONFIG_NETFILTER_XT_MATCH_SCTP 1
#define CONFIG_SEC_PM 1
#define CONFIG_INET6_ESP 1
#define CONFIG_ILLEGAL_POINTER_VALUE 0xdead000000000000
#define CONFIG_I2C_S3C2410 1
#define CONFIG_TASKSTATS 1
#define CONFIG_MEDIA_SUBDRV_AUTOSELECT 1
#define CONFIG_FMP_DM_CRYPT 1
#define CONFIG_IP6_NF_FILTER 1
#define CONFIG_INPUT_MOUSEDEV_SCREEN_X 1024
#define CONFIG_NEED_DMA_MAP_STATE 1
#define CONFIG_IIO 1
#define CONFIG_SERIO_LIBPS2 1
#define CONFIG_BATTERY_SAMSUNG_V2 1
#define CONFIG_NETFILTER_XT_MATCH_CONNBYTES 1
#define CONFIG_ANDROID_PARANOID_NETWORK 1
#define CONFIG_USB_PRINTER 1
#define CONFIG_EXYNOS_ADC 1
#define CONFIG_FB_SIMPLE 1
#define CONFIG_HID_TWINHAN 1
#define CONFIG_PANIC_TIMEOUT 5
#define CONFIG_QUOTA_NETLINK_INTERFACE 1
#define CONFIG_INPUT_JOYSTICK 1
#define CONFIG_MCINFO_SYSFS 1
#define CONFIG_PM_GENERIC_DOMAINS_SLEEP 1
#define CONFIG_MMC_DW_DEBUG 1
#define CONFIG_SEC_DEBUG_LAST_KMSG 1
#define CONFIG_NETFILTER_XT_MATCH_ECN 1
#define CONFIG_PROC_FSLOG 1
#define CONFIG_NF_NAT_MASQUERADE_IPV4 1
#define CONFIG_CFG80211_DEFAULT_PS 1
#define CONFIG_BUILD_BIN2C 1
#define CONFIG_GENERIC_IOMAP 1
#define CONFIG_SPARSEMEM_MANUAL 1
#define CONFIG_SND_SOC_EXYNOS_AUDMIXER 1
#define CONFIG_EXYNOS_FIMC_BNS 1
#define CONFIG_BT_BCM43XX 1
#define CONFIG_SMP 1
#define CONFIG_TTY 1
#define CONFIG_NETFILTER_XT_MATCH_TIME 1
#define CONFIG_ARM64_UAO 1
#define CONFIG_ZSMALLOC 1
#define CONFIG_NET_VENDOR_I825XX 1
#define CONFIG_NETFILTER_XT_MATCH_MAC 1
#define CONFIG_NETFILTER_XT_TARGET_NFLOG 1
#define CONFIG_GENERIC_ALLOCATOR 1
#define CONFIG_TCP_CONG_WESTWOOD 1
#define CONFIG_KALLSYMS_ALL 1
#define CONFIG_ANDROID_TIMED_OUTPUT 1
#define CONFIG_GENERIC_IO 1
#define CONFIG_LIBCRC32C 1
#define CONFIG_CP_SECURE_BOOT 1
#define CONFIG_GENERIC_BUG 1
#define CONFIG_CRYPTO_SHA256 1
#define CONFIG_HAVE_FTRACE_MCOUNT_RECORD 1
#define CONFIG_SND_SAMSUNG_I2S 1
#define CONFIG_INET_TCP_DIAG 1
#define CONFIG_HID_SONY 1
#define CONFIG_SND_SPI 1
#define CONFIG_HID_MONTEREY 1
#define CONFIG_HID_EZKEY 1
#define CONFIG_CFG80211_ALLOW_RECONNECT 1
#define CONFIG_IOSCHED_NOOP 1
#define CONFIG_HAVE_UID16 1
#define CONFIG_COMPAT_OLD_SIGACTION 1
#define CONFIG_NEW_FACTORY_UART 1
#define CONFIG_JOYSTICK_XPAD_LEDS 1
#define CONFIG_QUOTACTL 1
#define CONFIG_V4L2_MEM2MEM_DEV 1
#define CONFIG_FIVE_USE_TZDEV 1
#define CONFIG_CRYPTO_CRYPTD 1
#define CONFIG_MUIC_NOTIFIER 1
#define CONFIG_DEBUG_KERNEL 1
#define CONFIG_ARM_EXYNOS7870_BUS_DEVFREQ 1
#define CONFIG_LOCALVERSION ""
#define CONFIG_CAMERA_EEPROM_SUPPORT_REAR 1
#define CONFIG_CRYPTO 1
#define CONFIG_SCHED_DEBUG 1
#define CONFIG_DEFAULT_MMAP_MIN_ADDR 4096
#define CONFIG_IP_NF_IPTABLES 1
#define CONFIG_CMDLINE ""
#define CONFIG_SND_SOC_SAMSUNG_UNIVERSAL7870_COD3026X 1
#define CONFIG_CHARGER_S2MU005 1
#define CONFIG_USB_XHCI_HCD 1
#define CONFIG_HAVE_DMA_API_DEBUG 1
#define CONFIG_HID_SAMSUNG 1
#define CONFIG_HW_PERF_EVENTS 1
#define CONFIG_PSTORE_PMSG 1
#define CONFIG_USB_ARCH_HAS_HCD 1
#define CONFIG_SEC_DEBUG 1
#define CONFIG_GENERIC_IRQ_SHOW 1
#define CONFIG_IPV6_OPTIMISTIC_DAD 1
#define CONFIG_PANIC_ON_OOPS_VALUE 0
#define CONFIG_NET_VENDOR_SAMSUNG 1
#define CONFIG_SCSI_MOD 1
#define CONFIG_SND_SOC_TFA_LOG 1
#define CONFIG_NET_VENDOR_MICREL 1
#define CONFIG_INTERRUPTIBLE_SYNC 1
#define CONFIG_SERIAL_SAMSUNG_CONSOLE 1
#define CONFIG_AUDIT_TREE 1
#define CONFIG_SND_SAMSUNG_AUDSS 1
#define CONFIG_F2FS_FS_POSIX_ACL 1
#define CONFIG_SDFAT_FS 1
#define CONFIG_EXYNOS_MIPI_CSIS 1
#define CONFIG_CRYPTO_CRC32C 1
#define CONFIG_SERIAL_CORE 1
#define CONFIG_FUSE_FS 1
#define CONFIG_BUILDTIME_EXTABLE_SORT 1
#define CONFIG_HANDLE_DOMAIN_IRQ 1
#define CONFIG_SOC_SAMSUNG 1
#define CONFIG_UID16 1
#define CONFIG_EMBEDDED 1
#define CONFIG_HID_MICROSOFT 1
#define CONFIG_ARCH_PHYS_ADDR_T_64BIT 1
#define CONFIG_ASSOCIATIVE_ARRAY 1
#define CONFIG_NF_DEFRAG_IPV6 1
#define CONFIG_VIDEO_DEV 1
#define CONFIG_SEC_STI 1
#define CONFIG_HAS_DMA 1
#define CONFIG_NF_CT_PROTO_SCTP 1
#define CONFIG_SCSI 1
#define CONFIG_FB_CFB_FILLRECT 1
#define CONFIG_NF_NAT_PPTP 1
#define CONFIG_HID_CHICONY 1
#define CONFIG_HID 1
#define CONFIG_DEVFREQ_GOV_SIMPLE_ONDEMAND 1
#define CONFIG_USB_DWC3_DUAL_ROLE 1
#define CONFIG_USB_ARMLINUX 1
#define CONFIG_TZ_TRANSPORT 1
#define CONFIG_CLKDEV_LOOKUP 1
#define CONFIG_EXYNOS_DECON_FB 1
#define CONFIG_BCM4343 1
#define CONFIG_ARCH_HAS_CACHE_LINE_SIZE 1
#define CONFIG_JBD2 1
#define CONFIG_USB_DWC3_EXYNOS 1
#define CONFIG_SPARSEMEM_VMEMMAP 1
#define CONFIG_SND_SOC_I2S_TXSLOT_NUMBER 2
#define CONFIG_INET6_IPCOMP 1
#define CONFIG_NET_VENDOR_MARVELL 1
#define CONFIG_PHYLIB 1
#define CONFIG_IPV6_TUNNEL 1
#define CONFIG_ARCH_HAS_HOLES_MEMORYMODEL 1
#define CONFIG_FB_CMDLINE 1
#define CONFIG_IRQ_DOMAIN 1
#define CONFIG_LSM_MMAP_MIN_ADDR 4096
#define CONFIG_LOCALVERSION_AUTO 1
#define CONFIG_INTEGRITY_AUDIT 1
#define CONFIG_GPU_TRACEPOINTS 1
#define CONFIG_MISC_FILESYSTEMS 1
#define CONFIG_ARCH_MMAP_RND_BITS_MIN 18
#define CONFIG_FTRACE 1
#define CONFIG_NETFILTER_XT_MATCH_CONNLIMIT 1
#define CONFIG_IP_NF_SECURITY 1
#define CONFIG_IP_NF_RAW 1
#define CONFIG_HAVE_CC_STACKPROTECTOR 1
#define CONFIG_IP_NF_ARPFILTER 1
#define CONFIG_EXYNOS_SNAPSHOT_WATCHDOG_RESET 1
#define CONFIG_NETFILTER_XT_MATCH_SOCKET 1
#define CONFIG_HID_TOPSEED 1
#define CONFIG_NET_VENDOR_STMICRO 1
#define CONFIG_NF_NAT_H323 1
#define CONFIG_ARCH_SPARSEMEM_DEFAULT 1
#define CONFIG_OF_GPIO 1
#define CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC 1
#define CONFIG_USB_DEBUG_DETAILED_LOG 1
#define CONFIG_HID_A4TECH 1
#define CONFIG_PRINT_QUOTA_WARNING 1
#define CONFIG_IP_NF_TARGET_NETMAP 1
#define CONFIG_NF_REJECT_IPV6 1
#define CONFIG_RCU_CPU_STALL_TIMEOUT 21
#define CONFIG_EXYNOS_SNAPSHOT_GO_MODE 1
#define CONFIG_SND_VERBOSE_PROCFS 1
#define CONFIG_INPUT_FF_MEMLESS 1
#define CONFIG_ARM64_ERRATUM_819472 1
#define CONFIG_ARM64_ERRATUM_827319 1
#define CONFIG_NEED_SG_DMA_LENGTH 1
#define CONFIG_POWER_RESET 1
#define CONFIG_NF_NAT_AMANDA 1
#define CONFIG_BROADCOM_WIFI 1
#define CONFIG_PROFILING 1
#define CONFIG_SENSORS_SEC_THERMISTOR 1
#define CONFIG_MMC_DW_PLTFM 1
#define CONFIG_SPARSEMEM 1
#define CONFIG_INET6_XFRM_MODE_TRANSPORT 1
#define CONFIG_CRYPTO_ARC4 1
#define CONFIG_ION_EXYNOS_STAT_LOG 1
#define CONFIG_SLHC 1
#define CONFIG_CRYPTO_MANAGER 1
#define CONFIG_NET_SCH_HTB 1
#define CONFIG_PPP_BSDCOMP 1
#define CONFIG_RT_MUTEXES 1
#define CONFIG_HID_ORTEK 1
#define CONFIG_NETFILTER_XT_TARGET_MARK 1
#define CONFIG_SEC_AVC_LOG 1
#define CONFIG_EXYNOS_CAMERA_MODULE 1
#define CONFIG_KERNFS 1
#define CONFIG_I2C_ALGOBIT 1
#define CONFIG_MMC_BLOCK 1
#define CONFIG_SEC_NAD 1
#define CONFIG_EXPERT 1
#define CONFIG_MMC_DW_EXYNOS 1
#define CONFIG_WIRELESS 1
#define CONFIG_WEXT_PROC 1
#define CONFIG_CRYPTO_AES_ARM64_CE_BLK 1
#define CONFIG_PERF_USE_VMALLOC 1
#define CONFIG_TASK_IO_ACCOUNTING 1
#define CONFIG_FAT_DEFAULT_IOCHARSET "iso8859-1"
#define CONFIG_FRAME_WARN 2048
#define CONFIG_USB_NET_CDC_NCM 1
#define CONFIG_HID_GENERIC 1
#define CONFIG_RCU_CPU_STALL_VERBOSE 1
#define CONFIG_ARCH_MMAP_RND_BITS 18
#define CONFIG_GENERIC_HWEIGHT 1
#define CONFIG_INITRAMFS_SOURCE ""
#define CONFIG_SEC_DEBUG_RESET_REASON 1
#define CONFIG_CGROUPS 1
#define CONFIG_MMC 1
#define CONFIG_LZO_COMPRESS 1
#define CONFIG_HAVE_ARCH_MMAP_RND_COMPAT_BITS 1
#define CONFIG_CRYPTO_SEQIV 1
#define CONFIG_HID_LOGITECH 1
#define CONFIG_STACKTRACE 1
#define CONFIG_PPPOLAC 1
#define CONFIG_WTL_ENCRYPTION_FILTER 1
#define CONFIG_AUDIT_COMPAT_GENERIC 1
#define CONFIG_NETFILTER_XT_MATCH_QUOTA2_LOG_32BIT 1
#define CONFIG_NETFILTER_XT_TARGET_IDLETIMER 1
#define CONFIG_IPV6_VTI 1
#define CONFIG_CRYPTO_DRBG 1
#define CONFIG_SND_MAX_CARDS 32
#define CONFIG_OF_EARLY_FLATTREE 1
#define CONFIG_CGROUP_CPUACCT 1
#define CONFIG_NET_VENDOR_VIA 1
#define CONFIG_HZ 100
#define CONFIG_USB_RTL8152 1
#define CONFIG_I2C_HELPER_AUTO 1
#define CONFIG_NETFILTER_XT_MATCH_U32 1
#define CONFIG_NET_VENDOR_ARC 1
#define CONFIG_INET_AH 1
#define CONFIG_SETEND_EMULATION 1
#define CONFIG_DEFAULT_IOSCHED "cfq"
#define CONFIG_MALI_MIDGARD 1
#define CONFIG_TABLET_USB_KBTAB 1
#define CONFIG_IPV6_MIP6 1
#define CONFIG_OF_TOUCHSCREEN 1
#define CONFIG_VIDEO_EXYNOS_SCALER 1
#define CONFIG_HAVE_PERF_USER_STACK_DUMP 1
#define CONFIG_NLATTR 1
#define CONFIG_TCP_CONG_CUBIC 1
#define CONFIG_TZDEV 1
#define CONFIG_NR_CPUS 8
#define CONFIG_SUSPEND_FREEZER 1
#define CONFIG_SND_SUPPORT_OLD_API 1
#define CONFIG_NETFILTER_XT_CONNMARK 1
#define CONFIG_ARM64_EXYNOS_CPUIDLE 1
#define CONFIG_LOGITECH_FF 1
#define CONFIG_HID_KYE 1
#define CONFIG_FIRMWARE_IN_KERNEL 1
#define CONFIG_MMC_DW_64BIT_DESC 1
#define CONFIG_SYSFS 1
#define CONFIG_USB_DEFAULT_PERSIST 1
#define CONFIG_INPUT_TOUCHSCREEN 1
#define CONFIG_MMC_BLOCK_DEFERRED_RESUME 1
#define CONFIG_NF_CONNTRACK_LABELS 1
#define CONFIG_IP_NF_MATCH_AH 1
#define CONFIG_S2MU005_EVT4_DISABLE_BUCK_MODE 1
#define CONFIG_FAT_VIRTUAL_XATTR_SELINUX_LABEL "u:object_r:sdcard_external:s0"
#define CONFIG_NF_LOG_COMMON 1
#define CONFIG_GPU_THERMAL 1
#define CONFIG_NETFILTER_XT_MATCH_LIMIT 1
#define CONFIG_FIMC_BNS_V4_10_0 1
#define CONFIG_EXT2_FS_SECURITY 1
#define CONFIG_HAVE_SYSCALL_TRACEPOINTS 1
#define CONFIG_PM_DEVFREQ 1
#define CONFIG_FB 1
#define CONFIG_TRACING 1
#define CONFIG_IP_NF_MATCH_RPFILTER 1
#define CONFIG_I2C_COMPAT 1
#define CONFIG_SPARSEMEM_VMEMMAP_ENABLE 1
#define CONFIG_SOC_EXYNOS7870 1
#define CONFIG_ARM_GIC_V3 1
#define CONFIG_MSDOS_PARTITION 1
#define CONFIG_BOOTPARAM_HARDLOCKUP_PANIC_VALUE 1
#define CONFIG_HAVE_GENERIC_DMA_COHERENT 1
#define CONFIG_CPU_IDLE_GOV_LADDER 1
#define CONFIG_THERMAL 1
#define CONFIG_ARM_TRUSTZONE 1
#define CONFIG_IP_PNP_RARP 1
#define CONFIG_SND_SOC_EXYNOS_AUDMIXER_VER 2
#define CONFIG_HID_PETALYNX 1
#define CONFIG_CMA_SIZE_MBYTES 16
#define CONFIG_HAVE_S3C2410_WATCHDOG 1
#define CONFIG_NET_ACT_MIRRED 1
#define CONFIG_HAVE_ARCH_KGDB 1
#define CONFIG_CRYPTO_ABLK_HELPER 1
#define CONFIG_NF_CONNTRACK_IPV4 1
#define CONFIG_SEC_DEBUG_GAF_V3 1
#define CONFIG_ZONE_DMA_FLAG 1
#define CONFIG_NET_VENDOR_INTEL 1
#define CONFIG_RPS 1
#define CONFIG_USB_NET_ZAURUS 1
#define CONFIG_SAMSUNG_DMADEV 1
#define CONFIG_INET6_XFRM_TUNNEL 1
#define CONFIG_USB_NET_AX88179_178A 1
#define CONFIG_TZDEV_SK_MULTICORE 1
#define CONFIG_PM_GENERIC_DOMAINS 1
#define CONFIG_PM_WAKELOCKS_LIMIT 0
#define CONFIG_GENERIC_CSUM 1
#define CONFIG_TABLET_USB_ACECAD 1
#define CONFIG_IP_MULTICAST 1
#define CONFIG_HID_LOGITECH_DJ 1
#define CONFIG_DEFAULT_SECURITY "selinux"
#define CONFIG_USB_ANDROID_SAMSUNG_MTP 1
#define CONFIG_TICK_ONESHOT 1
#define CONFIG_KNOX_NCM 1
#define CONFIG_NF_NAT_PROTO_UDPLITE 1
#define CONFIG_CRYPTO_CTR 1
#define CONFIG_CGROUP_DEBUG 1
#define CONFIG_SW_SYNC 1
#define CONFIG_DECON_EVENT_LOG 1
#define CONFIG_WIRELESS_EXT 1
#define CONFIG_CAMERA_ACT_SELECT 1
#define CONFIG_MODVERSIONS 1
#define CONFIG_HW_RANDOM 1
#define CONFIG_MUTEX_SPIN_ON_OWNER 1
#define CONFIG_HAVE_DMA_ATTRS 1
#define CONFIG_MEMCG_SWAP 1
#define CONFIG_EXYNOS_SNAPSHOT 1
#define CONFIG_NF_NAT_IPV4 1
#define CONFIG_HAVE_FUNCTION_GRAPH_TRACER 1
#define CONFIG_OF_MDIO 1
#define CONFIG_BATTERY_AGE_FORECAST 1
#define CONFIG_VIDEOBUF2_CORE 1
#define CONFIG_ARCH_EXYNOS 1
#define CONFIG_BASE_SMALL 0
#define CONFIG_PM_WAKELOCKS 1
#define CONFIG_CRYPTO_BLKCIPHER2 1
#define CONFIG_SECURITY_SELINUX_AVC_STATS 1
#define CONFIG_COMPACTION 1
#define CONFIG_SND_SOC_TFA_LOG_USER_HOST 1
#define CONFIG_VIDEO_EXYNOS 1
#define CONFIG_PROC_FS 1
#define CONFIG_PM_GENERIC_DOMAINS_RUNTIME 1
#define CONFIG_MALI_T83X 1
#define CONFIG_WEXT_PRIV 1
#define CONFIG_SCSI_LOWLEVEL 1
#define CONFIG_LINK_DEVICE_SHMEM 1
#define CONFIG_EXT2_FS_XATTR 1
#define CONFIG_HID_PANTHERLORD 1
#define CONFIG_SND 1
#define CONFIG_CAMERA_MC_SCALER_VER1_USE 1
#define CONFIG_PAGEFLAGS_EXTENDED 1
#define CONFIG_USB_NCM_SUPPORT_MTU_CHANGE 1
#define CONFIG_V4L_PLATFORM_DRIVERS 1
#define CONFIG_USB_OTG_WHITELIST_FOR_MDM 1
#define CONFIG_NET_VENDOR_NATSEMI 1
#define CONFIG_TABLET_USB_HANWANG 1
#define CONFIG_IKCONFIG 1
#define CONFIG_SEC_NAD_API 1
#define CONFIG_ARM_EXYNOS_MP_CPUFREQ 1
#define CONFIG_SYSCTL 1
#define CONFIG_VPNCLIENT_PROC_GID 1000
#define CONFIG_PHYS_ADDR_T_64BIT 1
#define CONFIG_HAVE_C_RECORDMCOUNT 1
#define CONFIG_HAVE_ARCH_TRACEHOOK 1
#define CONFIG_NO_IOPORT_MAP 1
#define CONFIG_XFRM_USER 1
#define CONFIG_TCP_CONG_BIC 1
#define CONFIG_NET_NS 1
#define CONFIG_HAVE_PERF_EVENTS 1
#define CONFIG_EXYNOS_IOVMM 1
#define CONFIG_NO_BOOTMEM 1
#define CONFIG_CRAMFS 1
#define CONFIG_CLKSRC_EXYNOS_MCT 1
#define CONFIG_UID_STAT 1
#define CONFIG_EXYNOS_SNAPSHOT_LOGGING_SMC_CALL 1
#define CONFIG_AUDIT 1
#define CONFIG_KERNEL_MODE_NEON 1
#define CONFIG_THERMAL_DEFAULT_GOV_STEP_WISE 1
#define CONFIG_CMA_AREAS 7
#define CONFIG_HID_MULTITOUCH 1
#define CONFIG_SECURITY 1
#define CONFIG_NETFILTER_XT_MATCH_QUOTA2 1
#define CONFIG_HID_ELECOM 1
#define CONFIG_SND_TIMER 1
#define CONFIG_SEC_EXT 1
#define CONFIG_CMA_PINPAGE_MIGRATION 1
#define CONFIG_FAT_DEFAULT_CODEPAGE 437
#define CONFIG_BLK_DEV 1
#define CONFIG_SND_SOC_SAMSUNG_VERBOSE_DEBUG 1
#define CONFIG_OF_FLATTREE 1
#define CONFIG_IOMMU_API 1
#define CONFIG_TRACING_SUPPORT 1
#define CONFIG_UNIX98_PTYS 1
#define CONFIG_NETFILTER_XT_TARGET_CONNMARK 1
#define CONFIG_NET_RX_BUSY_POLL 1
#define CONFIG_SECURITY_SELINUX 1
#define CONFIG_NET_SCHED 1
#define CONFIG_NETFILTER_XT_TARGET_CONNSECMARK 1
#define CONFIG_GNSS_SHMEM_IF 1
#define CONFIG_PRINTK_TIME 1
#define CONFIG_USE_VSYNC_SKIP 1
#define CONFIG_INPUT_MOUSEDEV_SCREEN_Y 768
#define CONFIG_SECCOMP_FILTER 1
#define CONFIG_IRQCHIP 1
#define CONFIG_PPP 1
#define CONFIG_NETFILTER_XT_MATCH_QUOTA 1
#define CONFIG_INET_DIAG 1
#define CONFIG_CRYPTO_GHASH 1
#define CONFIG_PSTORE 1
#define CONFIG_NF_NAT_FTP 1
#define CONFIG_NF_CT_PROTO_UDPLITE 1
#define CONFIG_IKCONFIG_PROC 1
#define CONFIG_USB_RNDIS_MULTIPACKET 1
#define CONFIG_ELF_CORE 1
#define CONFIG_TEXTSEARCH 1
#define CONFIG_WLAN_REGION_CODE 100
#define CONFIG_USB_DWC3 1
#define CONFIG_CAMERA_CIS_SELECT 1
#define CONFIG_BATTERY_SWELLING 1
#define CONFIG_USB_SUPPORT 1
#define CONFIG_CPU_IDLE_STOP_IDLE_DURING_HOTPLUG 1
#define CONFIG_NETFILTER_XT_MATCH_QTAGUID 1
#define CONFIG_SOC_BUS 1
#define CONFIG_STAGING 1
#define CONFIG_F2FS_FS 1
#define CONFIG_DMA_CMA 1
#define CONFIG_HID_UCLOGIC 1
#define CONFIG_CFG80211_WEXT 1
#define CONFIG_SMARTJOYPLUS_FF 1
#define CONFIG_EXYNOS_SNAPSHOT_IRQ_EXIT 1
#define CONFIG_AUDIT_ARCH_COMPAT_GENERIC 1
#define CONFIG_BLK_DEV_RAM 1
#define CONFIG_ARCH_MMAP_RND_COMPAT_BITS 11
#define CONFIG_NETFILTER_XT_MATCH_STATE 1
#define CONFIG_F2FS_CHECK_FS 1
#define CONFIG_LOGIRUMBLEPAD2_FF 1
#define CONFIG_TZLOG 1
#define CONFIG_INET6_XFRM_MODE_BEET 1
#define CONFIG_ARM64 1
#define CONFIG_PREEMPT 1
#define CONFIG_FB_CFB_COPYAREA 1
#define CONFIG_ARCH_HAS_TICK_BROADCAST 1
#define CONFIG_EXYNOS_THERMAL 1
#define CONFIG_CAMERA_MODULE_SELECT 1
#define CONFIG_BINARY_PRINTF 1
#define CONFIG_MMC_CLKGATE 1
#define CONFIG_GENERIC_CLOCKEVENTS_BUILD 1
#define CONFIG_SYSFS_SYSCALL 1
#define CONFIG_HAVE_DEBUG_BUGVERBOSE 1
#define CONFIG_VIDEO_V4L2 1
#define CONFIG_S2MU005_INNER_BATTERY 1
#define CONFIG_TRACE 1
#define CONFIG_HID_NTRIG 1
#define CONFIG_DMA_SHARED_BUFFER 1
#define CONFIG_RTC_SYSTOHC 1
#define CONFIG_S3C_LOWLEVEL_UART_PORT 2
#define CONFIG_OF_ADDRESS 1
#define CONFIG_DECOMPRESS_GZIP 1
#define CONFIG_VNSWAP 1
#define CONFIG_64BIT 1
#define CONFIG_QUOTA 1
#define CONFIG_MMC_DW_FORCE_32BIT_SFR_RW 1
#define CONFIG_I2C_CHARDEV 1
#define CONFIG_CROSS_COMPILE ""
#define CONFIG_REGMAP_MMIO 1
#define CONFIG_NETWORK_SECMARK 1
#define CONFIG_PHY_EXYNOS_MIPI 1
#define CONFIG_GENERIC_CLOCKEVENTS_BROADCAST 1
#define CONFIG_HID_HOLTEK 1
#define CONFIG_KEYBOARD_SAMSUNG 1
#define CONFIG_ARCH_USE_CMPXCHG_LOCKREF 1
#define CONFIG_ARCH_WANT_FRAME_POINTERS 1
#define CONFIG_REGMAP 1
#define CONFIG_NLS_UTF8 1
#define CONFIG_JOYSTICK_XPAD 1
#define CONFIG_HARDENED_USERCOPY 1
#define CONFIG_PINCTRL_SAMSUNG 1
#define CONFIG_USB_HW_PARAM 1
#define CONFIG_PANEL_TD4101_A2CORELTE 1
#define CONFIG_DEBUG_UID_CPUTIME 1
#define CONFIG_USB_USBNET 1
#define CONFIG_VENDER_MCD 1
#define CONFIG_USB_SERIAL_PL2303 1
#define CONFIG_NET_ACT_POLICE 1
#define CONFIG_TZDEV_PAGE_MIGRATION 1
#define CONFIG_SYSCTL_EXCEPTION_TRACE 1
#define CONFIG_HID_SMARTJOYPLUS 1
#define CONFIG_NEW_LEDS 1
#define CONFIG_SWAP 1
#define CONFIG_DEVFREQ_GOV_SIMPLE_EXYNOS 1
#define CONFIG_BLK_DEV_SD 1
#define CONFIG_NETFILTER_NETLINK 1
#define CONFIG_MODULE_UNLOAD 1
#define CONFIG_CPU_FREQ_DEFAULT_GOV_INTERACTIVE 1
#define CONFIG_PREEMPT_COUNT 1
#define CONFIG_SDFAT_STATISTICS 1
#define CONFIG_CMA 1
#define CONFIG_RWSEM_SPIN_ON_OWNER 1
#define CONFIG_RCU_FANOUT 64
#define CONFIG_BITREVERSE 1
#define CONFIG_BLK_DEV_RAM_SIZE 8192
#define CONFIG_ECT 1
#define CONFIG_BATTERY_CISD 1
#define CONFIG_MEMCG_HIGHER_SWAPPINESS 160
#define CONFIG_CRYPTO_BLKCIPHER 1
#define CONFIG_EXYNOS_SOC_NAME "7870"
#define CONFIG_NF_CONNTRACK 1
#define CONFIG_LCD_CLASS_DEVICE 1
#define CONFIG_VPNCLIENT_SECURITY 1
#define CONFIG_ARCH_DMA_ADDR_T_64BIT 1
#define CONFIG_FILE_LOCKING 1
#define CONFIG_SND_SOC_I2C_AND_SPI 1
#define CONFIG_ZSWAP 1
#define CONFIG_SCHED_AVG_NR_RUNNING 1
#define CONFIG_AIO 1
#define CONFIG_NETFILTER_XT_MATCH_ONESHOT 1
#define CONFIG_REGULATOR_S2MPU05 1
#define CONFIG_OF 1
#define CONFIG_NET_EMATCH 1
#define CONFIG_PERF_EVENTS 1
#define CONFIG_GENERIC_TIME_VSYSCALL 1
#define CONFIG_IP_NF_TARGET_REJECT 1
#define CONFIG_LEDS_CLASS 1
#define CONFIG_USB_NOTIFIER 1
#define CONFIG_RTC_INTF_DEV 1
#define CONFIG_DCACHE_WORD_ACCESS 1
#define CONFIG_MESSAGE_LOGLEVEL_DEFAULT 4
#define CONFIG_SND_SOC_COD3026X 1
#define CONFIG_LOCKUP_DETECTOR 1
#define CONFIG_NET_ACTIVITY_STATS 1
#define CONFIG_CMA_ALIGNMENT 8
#define CONFIG_NLS_DEFAULT "iso8859-1"
#define CONFIG_UTS_NS 1
#define CONFIG_NF_CT_PROTO_GRE 1
#define CONFIG_NF_CT_NETLINK 1
#define CONFIG_DMA_ENGINE 1
#define CONFIG_HAVE_S3C2410_I2C 1
#define CONFIG_ANDROID_INTF_ALARM_DEV 1
#define CONFIG_SDFAT_DEFAULT_IOCHARSET "utf8"
#define CONFIG_HID_WIIMOTE 1
#define CONFIG_DEFAULT_SECURITY_SELINUX 1
#define CONFIG_FIX_INACTIVE_RATIO 1
#define CONFIG_COMMON_CLK_SAMSUNG 1
#define CONFIG_CRYPTO_AEAD2 1
#define CONFIG_DEBUG_INFO 1
#define CONFIG_NF_NAT_MASQUERADE_IPV6 1
#define CONFIG_BOOTPARAM_SOFTLOCKUP_PANIC_VALUE 1
#define CONFIG_NETFILTER_XT_MATCH_HL 1
#define CONFIG_CRYPTO_ALGAPI2 1
#define CONFIG_DLP 1
#define CONFIG_HAVE_MEMBLOCK 1
#define CONFIG_HAVE_EFFICIENT_UNALIGNED_ACCESS 1
#define CONFIG_INPUT 1
#define CONFIG_PROC_SYSCTL 1
#define CONFIG_MMU 1
#define CONFIG_MMC_DW_FMP_DM_CRYPT 1
#define CONFIG_UMTS_MODEM_SS310AP 1
#define CONFIG_EXYRNG_USE_CRYPTOMANAGER 1
#define CONFIG_ENABLE_DEFAULT_TRACERS 1
#define CONFIG_TABLET_USB_AIPTEK 1
#define CONFIG_ARM64_VA_BITS_39 1
#define CONFIG_ZPOOL 1
